routes/web.php
<?php

use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Auth::routes();

Route::get('/', function () {
    return redirect('login');
});

Route::group(['middleware' => 'auth', 'namespace' => 'Admin'], function () {
    Route::get('/dashboard', 'DashboardController@index')->name('dashboard');
    Route::get('/profile/me', 'UserController@profile')->name('users.profile');
    Route::get('/request-absent/{request_absent}/approve', 'RequestAbsentController@approve')->name('request-absent.approve');
    Route::post('/request-absent/approve-or-reject', 'RequestAbsentController@approveOrRejectAll')->name('request-absent.approve-or-reject');
    Route::get('/overtimes/{overtime}/approve', 'OvertimeController@approve')->name('overtimes.approve');
    Route::post('/overtime/approve-or-reject', 'OvertimeController@approveOrRejectAll')->name('overtime.approve-or-reject');
    Route::resource('/users', 'UserController');
    Route::resource('/request-absent', 'RequestAbsentController');
    Route::resource('/overtimes', 'OvertimeController');
    Route::resource('/config', 'ConfigController')->middleware('admin');
    Route::resource('/notification', 'NotificationController')->middleware('admin');
    Route::resource('/roles', 'RoleController')->middleware('admin');
    Route::resource('/work-titles', 'WorkTitleController')->middleware('admin');
    Route::get('/timesheets', 'DashboardController@index');
    Route::get('/logout', 'AuthController@logout');
    Route::get('/password/change', 'AuthController@changePasswordEdit')->name('change-password.edit');
    Route::put('/password/change', 'AuthController@changePasswordUpdate')->name('change-password.update');
    Route::get('timesheet/getData', '\App\Http\Controllers\Admin\TimeSheetController@getData')->name('timesheet.getData');
    Route::resource('national-day', '\App\Http\Controllers\Admin\NationalDayController')->middleware('admin');
    Route::resource('timesheet', '\App\Http\Controllers\Admin\TimeSheetController')->except(['show']);
    Route::resource('comments', '\App\Http\Controllers\Admin\CommentController');
    Route::put('timesheet/update-paid-leave/{id}', '\App\Http\Controllers\Admin\TimeSheetController@updatePaidLeave')
            ->name('timesheet.updatePaidLeave');
    Route::post('timesheet/upload-timesheet', '\App\Http\Controllers\Admin\TimeSheetController@uploadTimesheet')
            ->name('timesheet.uploadTimesheet')
            ->middleware('can:timesheet.uploadTimesheet');
    Route::get('timesheet/export-timesheet', '\App\Http\Controllers\Admin\TimeSheetController@ExportTimesheet')
            ->name('timesheet.exportTimesheet');
    Route::get('timesheet/create', '\App\Http\Controllers\Admin\TimeSheetController@create')
        ->name('timesheet.create')->middleware('can:timesheet.create');
    Route::get('timesheet/edit/{timesheet}', '\App\Http\Controllers\Admin\TimeSheetController@edit')
        ->name('timesheet.edit')->middleware('can:timesheet.update');
    Route::delete('timesheet/destroy/{timesheet}', '\App\Http\Controllers\Admin\TimeSheetController@destroy')
        ->name('timesheet.destroy')->middleware('can:timesheet.delete');
    Route::resource('/position', 'PositionController')->middleware('admin');
    Route::post('timesheet/update-all-month', '\App\Http\Controllers\Admin\TimeSheetController@updateMonthAll')
            ->name('timesheet.updateMonthAll')->middleware('admin');
    Route::post('users/upload-users', '\App\Http\Controllers\Admin\UserController@uploadUsers')
            ->name('users.uploadUsers')
            ->middleware('admin');
    Route::get('request-absents/export', '\App\Http\Controllers\Admin\RequestAbsentController@exportRequestAbsent')
            ->name('request-absent.exportRequestAbsent');
    Route::get('overtime/export', '\App\Http\Controllers\Admin\OvertimeController@exportOvertime')
            ->name('overtime.exportOvertime');
});

app/Models/WorkTitle.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class WorkTitle extends Model
{
    use HasFactory, SoftDeletes;

    /**
     * The attributes that are mass assignable.
     *
     * @var array
     */
    protected $fillable = ['name_en', 'name_vi', 'name_ja', 'sort_num'];
}

app/Http/Controllers/Admin/WorkTitleController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\Cms\WorkTitleRequest;
use App\Models\WorkTitle;
use Illuminate\Http\Request;

class WorkTitleController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function index()
    {
        $page_title = __('layouts.work_title');
        $query = WorkTitle::query();
        $workTitles = $query->paginate(10);
        return view('admin.work_title.index', compact('workTitles', 'page_title'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function create()
    {
        $page_title = __('layouts.add_work_title');
        return view('admin.work_title.create', compact('page_title'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function store(WorkTitleRequest $request)
    {
        $workTitle = new WorkTitle();
        $data = $request->validated();
        $sort_num = WorkTitle::max('sort_num');
        $data['sort_num'] = ++$sort_num;
        $workTitle->fill($data);
        $success = false;
        $message = __('messages.create.error');
        if ($workTitle->save()){
            $success = true;
            $message = __('messages.create.success');
        }
        return redirect()->route('work-titles.index')
            ->with(['success' => $success, 'message' =>$message]);
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param WorkTitle $workTitle
     * @return \Illuminate\Contracts\Foundation\Application|\Illuminate\Contracts\View\Factory|\Illuminate\Contracts\View\View
     */
    public function edit(WorkTitle $workTitle)
    {
        $page_title = __('layouts.edit_work_title');
        return view('admin.work_title.edit', compact('page_title', 'workTitle'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param WorkTitleRequest $request
     * @param WorkTitle $workTitle
     * @return \Illuminate\Http\RedirectResponse
     */
    public function update(WorkTitleRequest $request, WorkTitle $workTitle)
    {
        $data = $request->validated();
        $success = false;
        $message = __('messages.edit.error');
        if ($workTitle->update($data)){
            $success = true;
            $message = __('messages.edit.success');
        }
        return redirect()->route('work-titles.index')
            ->with(['success' => $success, 'message' => $message]);
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($id)
    {
        //
    }
}

resources/views/admin/work_title/create.blade.php
@extends('layouts.app')

@section('content')
    <div class="container-fluid pb-3">
        @include('layouts.alert')
        <div class="card p-3 mb-3 rounded">
            <form method="POST" action="{{ route('work-titles.store') }}">
                @csrf
                <div class="form-group row">
                    <label for="inputStaffId" class="col-sm-2 col-form-label">{{ __('layouts.name_en') }}
                        <code>*</code>
                    </label>
                    <div class="col-sm-10 input-group">
                        <input class="form-control @error('name_en') is-invalid @enderror" type="text" name="name_en"
                               value="{{ old('name_en') }}" id="inputStaffId">
                        @error('name_en')
                        <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                </div>
                <div class="form-group row">
                    <label for="inputStaffId" class="col-sm-2 col-form-label">{{ __('layouts.name_vi') }}</label>
                    <div class="col-sm-10 input-group">
                        <input class="form-control @error('name_vi') is-invalid @enderror" type="text" name="name_vi"
                               value="{{ old('name_vi') }}" id="inputStaffId">
                        @error('name_vi')
                        <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                </div>
                <div class="form-group row">
                    <label for="inputStaffId" class="col-sm-2 col-form-label">{{ __('layouts.name_ja') }}</label>
                    <div class="col-sm-10 input-group">
                        <input class="form-control @error('name_ja') is-invalid @enderror" type="text" name="name_ja"
                               value="{{ old('name_ja') }}" id="inputStaffId">
                        @error('name_ja')
                        <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                </div>

                <div class="d-flex justify-content-end mb-2">
                    <input class="btn btn-primary btn-width-default" type="submit" value="{{ __('layouts.create') }}">
                    <a class="btn btn-dark btn-width-default ml-2" href="{{ route('work-titles.index') }}">{{ __('layouts.close') }}</a>
                </div>
            </form>
        </div>
    </div>
@endsection

resources/views/admin/work_title/edit.blade.php
@extends('layouts.app')

@section('content')
    <div class="container-fluid pb-3">
        @include('layouts.alert')
        <div class="card p-3 mb-3 rounded">
            <form method="POST" action="{{ route('work-titles.update', $workTitle->id) }}">
                @csrf
                @method('PUT')
                <input type="text" value="{{ $workTitle->id }}" name="id" hidden>
                <div class="form-group row">
                    <label for="inputStaffId" class="col-sm-2 col-form-label">{{ __('layouts.name_en') }}
                        <code>*</code>
                    </label>
                    <div class="col-sm-10 input-group">
                        <input class="form-control @error('name_en') is-invalid @enderror" type="text" name="name_en"
                               value="{{ old('name_en', $workTitle->name_en) }}" id="inputStaffId">
                        @error('name_en')
                        <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                </div>
                <div class="form-group row">
                    <label for="inputStaffId" class="col-sm-2 col-form-label">{{ __('layouts.name_vi') }}</label>
                    <div class="col-sm-10 input-group">
                        <input class="form-control @error('name_vi') is-invalid @enderror" type="text" name="name_vi"
                               value="{{ old('name_vi', $workTitle->name_vi) }}" id="inputStaffId">
                        @error('name_vi')
                        <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                </div>
                <div class="form-group row">
                    <label for="inputStaffId" class="col-sm-2 col-form-label">{{ __('layouts.name_ja') }}</label>
                    <div class="col-sm-10 input-group">
                        <input class="form-control @error('name_ja') is-invalid @enderror" type="text" name="name_ja"
                               value="{{ old('name_ja', $workTitle->name_ja) }}" id="inputStaffId">
                        @error('name_ja')
                        <div class="invalid-feedback">{{ $message }}</div>
                        @enderror
                    </div>
                </div>

                <div class="d-flex justify-content-end mb-2">
                    <input class="btn btn-primary btn-width-default" type="submit" value="{{ __('layouts.save') }}">
                    <a class="btn btn-dark btn-width-default ml-2" href="{{ route('work-titles.index') }}">{{ __('layouts.close') }}</a>
                </div>
            </form>
        </div>
    </div>
@endsection

resources/views/admin/work_title/index.blade.php
@extends('layouts.app')

@section('content')
    <div class="container-fluid pb-3">
        <div class="card p-3 rounded-lg">
            <div class="row">
                <div class="col-md-8">
                    <a class="btn btn-primary text-nowrap btn-width-default" href="{{ route('work-titles.create') }}">{{ __('layouts.add') }}</a>
                </div>
            </div>
            @include('layouts.alert')
            <div class="table-responsive">
                <table class="table table-striped my-3 table-borderless table-striped-reverse">
                    <thead class="thead-dark">
                    <tr>
                        <th>#</th>
                        <th>{{ __('layouts.name_en') }}</th>
                        <th>{{ __('layouts.name_vi') }}</th>
                        <th>{{ __('layouts.name_ja') }}</th>
                        <th></th>
                    </tr>
                    </thead>
                    <tbody>
                    @if (count($workTitles) == 0)
                        <tr>
                            <td class="text-danger no-data" colspan="8">{{ __('messages.no_data') }}</td>
                        </tr>
                    @endif
                    @foreach ($workTitles as $workTitle)
                        <tr>
                            <td>{{ ($workTitles->currentPage() - 1) * $workTitles->perPage() + $loop->iteration }}</td>
                            <td>{{ $workTitle->name_en }}</td>
                            <td>{{ $workTitle->name_vi }}</td>
                            <td>{{ $workTitle->name_ja }}</td>
                            <td>
                                <div class="d-flex justify-content-right">
                                    <a class="btn btn-primary py-0 px-1 mx-2" href="{{ route('work-titles.edit', $workTitle->id) }}" data-toggle="tooltip" title="{{ __('layouts.edit') }}"><i class="fas fa-pen"></i></a>
                                </div>
                            </td>
                        </tr>
                    @endforeach
                    </tbody>
                </table>
            </div>
            @include('layouts.paginate', ['paginate' => $workTitles])
        </div>
    </div>
@endsection